Bug 104230 - gnome-vfs2 is compiled without cdparanoia support
gnome-vfs2 is compiled without cdparanoia support
Status: CLOSED WONTFIX
Product: Red Hat Raw Hide
Classification: Retired
Component: gnome-vfs2 (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-11 11:00 EDT by Leonid Kanter
Modified: 2007-04-18 12:57 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-12 05:16:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Leonid Kanter 2003-09-11 11:00:41 EDT
Description of problem:

configure from gnome-vfs2 is unable to find cdparanoia headers. As a result,
it's compiled without cdparanoia support

Version-Release number of selected component (if applicable):

2.4.0-1

How reproducible:

always

Steps to Reproduce:
1. rpm -qp --qf "[%{REQUIRENAME}\n]" gnome-vfs2-2.4.0-1.i386.rpm | grep cdda
    
Actual results:

empty

Expected results:

libcdda_interface.so.0
libcdda_paranoia.so.0

Additional info:

spec file patch:
--- gnome-vfs2.spec.orig        2003-09-11 17:20:29.000000000 +0300
+++ gnome-vfs2.spec     2003-09-11 17:27:33.000000000 +0300
@@ -28,9 +28,9 @@
 BuildRequires: gnome-mime-data >= %{gnome_mime_data_version}
 BuildRequires: /usr/bin/automake-1.4
 BuildRequires: gtk-doc >= %{gtkdoc_version}
+BuildRequires: cdparanoia-devel
 Prereq: GConf2 >= %{gconf2_version}

-
 Patch1: gnome-vfs-1.9.4.91-docdir.patch
 Patch2: gnome-vfs-2.1.3-moved-menu-files.patch
 Patch3: gnome-vfs-2.0.4-onlyshowin.patch
@@ -118,6 +118,10 @@
        CPPFLAGS=`pkg-config --cflags openssl`; export CPPFLAGS
        LDFLAGS=`pkg-config --libs-only-L openssl`; export LDFLAGS
 fi
+
+# cdparanoia includes
+export CPPFLAGS="$CPPFLAGS -I/usr/include/cdda"
+
 %configure
Comment 1 Alexander Larsson 2003-09-12 05:16:21 EDT
We've never shipped with the cdda modules, and i'm not sure we want to. They are
not very tested, and I'm not sure they make much sense.

Note You need to log in before you can comment on or make changes to this bug.